Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:           freedroid
Version:        1.0.2
Release:        2
Summary:        Clone of the C64 game Paradroid
Group:          Games/Arcade
License:        GNU/GPL
URL:            http://freedroid.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:	%{name}.png
Patch0:         %{name}-%{version}-install.patch
Patch1:         %{name}-%{version}-printfs.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot

BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel

%description
This is a clone of the classic game "Paradroid" on Commodore 64
with some improvements and extensions to the classic version.
In this game, you control a robot, depicted by a small white ball with
a few numbers within an interstellar spaceship consisting of several
decks connected by elevators.
The aim of the game is to destroy all enemy robots, depicted by small
black balls with a few numbers, by either shooting them or seizing
control over them by creating connections in a short subgame of
electric circuits.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
--datadir=%_datadir/games \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_datadir/games/%{name}/mac-osx
mkdir -p $RPM_BUILD_ROOT%_applications
cp %{SOURCE1} $RPM_BUILD_ROOT%_applications
mkdir -p $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0755,root,root) %_bindir/%{name}
%_applications
%_pixmaps
%_mandir
%_datadir/games/%{name}

%changelog
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 1.0.2-2
- rebuild, group correction to Games/Arcade
* Fri Apr 14 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.2-1
- Initial release